// TODO: Fix global line-height
@import "./variable.scss";

html {
  // overflow: hidden;
  font-family: 'Montserrat', sans-serif;
  // font-style: normal;
  font-weight: 600;
  // -webkit-text-size-adjust: 100%;
}


body {
  min-height: 100%;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  margin: 0;
  /* background-color: $complementary-gray-1; */
  /* -webkit-font-smoothing: antialiased; */
  overflow: hidden;
}

/* Preferred box-sizing value */
*,
*::before,
*::after {
  box-sizing: border-box;
  /* color: $complementary-white; */
}

/* Reapply the pointer cursor for anchor tags */
a, button {
  cursor: revert;
}

/* Remove list styles (bullets/numbers) */
ol, ul, menu {
  list-style: none;
}

/* For images to not be able to exceed their container */
// img {
//     max-width: 100%;
// }

img,
picture {
  border-style: none;
  max-width: 100%;
  display: block;
}

/* removes spacing between cells in tables */
table {
  border-collapse: collapse;
}

/* Safari - solving issue when using user-select:none on the <body> text input doesn't working */
input, textarea {
  -webkit-user-select: auto;
}

/* revert the 'white-space' property for textarea elements on Safari */
/* textarea {
  white-space: revert;
} */

/* reset default text opacity of input placeholder */
::placeholder {
  color: unset;
}

b,
strong {
  font-weight: bolder;
}

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
}

button,
select { /* 1 */
  text-transform: none;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
  outline: none;
}

button,
a,
optgroup,
select {
  cursor: pointer;
}

p, h1, h2, h3, h4, h5, h6, a, div {
  margin: 0;
  overflow-wrap: break-word;
  font: inherit;
}

a {
  text-decoration: none;
}

span, div, p, a {
  font-size: 12px;
}
